# deu (Docker Environment Utility)

A simple utility to create and manage development containers.

## Overview

deu helps you quickly set up development containers with a consistent configuration. It creates a Docker Compose setup and manages container lifecycle.

## Installation

```bash
# Make the script executable
chmod +x deu.py

# Optionally, create a symlink
ln -s $(pwd)/deu.py /usr/local/bin/deu

# Or copy it

cp $(pwd)/deu.py /usr/local/bin/deu
```

## Usage

### Initialize a container

```bash
# Initialize with a random service name
deu init .container --image python:3.11

# Initialize with a specific service name
deu init .container --image python:3.11 --service my_service
```

### Container Management

```bash
# Start container in background
deu background

# Activate container shell
deu activate

# View container logs
deu logs

# Stop container
deu stop

# Remove container
deu rm
```

## Configuration

deu creates two configuration files:

1. `.container/docker-compose.yml`: Docker Compose configuration
2. `deu.toml`: Container metadata and settings

## Requirements

- Python 3.6+
- Docker
- Docker Compose

## Known Issues

### Python virtual envs

If you encounter a `ModuleNotFoundError: No module named 'yaml'` error when working within an environment, be sure to `pip install pyyaml` in that environment.
